/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef OPENLDEV_PROJECT_SETTINGS_H
#define OPENLDEV_PROJECT_SETTINGS_H

#include "../openldev-utils.h"
#include "openldev-makefile-parser.h"

#include <vector>
#include <string>
#include <fstream>
#include <glib.h>
#include <gtk/gtk.h>
using namespace std;

typedef struct _ProjectSettings  ProjectSettings;

struct _ProjectSettings
{
  string template_name;
  string lastfiles;
  string language;
  string compile;
  string build;
  string autogen;
  string configure;
  string clean;
  string location;
  string name;
  string version;
  string fullname;
};

ProjectSettings* openldev_project_settings_new (const char*);
void openldev_project_settings_close_project (ProjectSettings*);
gboolean openldev_project_settings_load_project_file (ProjectSettings*, const char*);
gboolean openldev_project_settings_get_file_in_project (ProjectSettings*, const char*);
void openldev_project_settings_write_project_file (ProjectSettings*);

vector<string> openldev_project_settings_get_makefile_list (ProjectSettings*);
vector<string> openldev_project_settings_get_sources (ProjectSettings*, const char*, gboolean);
vector<string> openldev_project_settings_get_sources_all (ProjectSettings*);

void openldev_project_settings_set_lastfiles (ProjectSettings*, const char*);
void openldev_project_settings_set_language  (ProjectSettings*, const char*);
void openldev_project_settings_set_compile   (ProjectSettings*, const char*);
void openldev_project_settings_set_build     (ProjectSettings*, const char*);
void openldev_project_settings_set_autogen   (ProjectSettings*, const char*);
void openldev_project_settings_set_configure (ProjectSettings*, const char*);
void openldev_project_settings_set_clean     (ProjectSettings*, const char*);
void openldev_project_settings_set_version   (ProjectSettings*, const char*);

string openldev_project_settings_get_template  (ProjectSettings*);
string openldev_project_settings_get_lastfiles (ProjectSettings*);
string openldev_project_settings_get_language  (ProjectSettings*);
string openldev_project_settings_get_compile   (ProjectSettings*);
string openldev_project_settings_get_build     (ProjectSettings*);
string openldev_project_settings_get_autogen   (ProjectSettings*);
string openldev_project_settings_get_configure (ProjectSettings*);
string openldev_project_settings_get_clean     (ProjectSettings*);
string openldev_project_settings_get_location  (ProjectSettings*);
string openldev_project_settings_get_name      (ProjectSettings*);
string openldev_project_settings_get_version   (ProjectSettings*);
string openldev_project_settings_get_fullname  (ProjectSettings*);

#endif
