/***************************************************************************
 *   Copyright (C) 2006 by Andrew Krause                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef OPENLDEV_UTILS_H
#define OPENLDEV_UTILS_H

#include <gtksourceview/gtksourceview.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <iostream>
#include <fstream>
using namespace std;

// String manipulation functions
string openldev_add_prefix (string);

// User feedback functions
void openldev_error (string);
gboolean openldev_question (string);

// File manipulation functions
void openldev_write_file (string, string);
string openldev_read_file (string);

// Repetitive tasks in OpenLDev
gboolean openldev_is_error_or_warning (string);
int openldev_get_file_name_and_line (string&);
void openldev_add_new_stock_item (GtkIconFactory*, gchar*, gchar*, gchar*);
string openldev_file_get_text_in_buffer (GtkSourceBuffer*);

#endif
