/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OUTPUT_BUILD_H
#define OUTPUT_BUILD_H

#include "../openldev-settings/openldev-settings.h"

#include <gtk/gtk.h>
#include <iostream>
using namespace std;

typedef struct _OutputBuild  OutputBuild;

struct _OutputBuild
{
  GtkWidget *build_box;
  GtkWidget *scrolled_window;
  GtkTreeModel *model;
  GtkCellRenderer *renderer;
  GtkTreeRowReference *row;
  GtkTreeViewColumn *column;

  gboolean continue_build;
};

OutputBuild* openldev_output_build_new ();

GtkWidget* openldev_output_build_get_treeview        (OutputBuild*);
GtkWidget* openldev_output_build_get_scrolled_window (OutputBuild*);

gboolean openldev_output_build_run_command (OutputBuild*, const char*, EnvironmentSettings*);
void openldev_output_build_stop_build (OutputBuild*);
void openldev_output_build_clear (OutputBuild*);

#endif
