/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef OUTPUT_MANAGER_H
#define OUTPUT_MANAGER_H

#include <gtk/gtk.h>

#include "openldev-output-build.h"
#include "openldev-output-search.h"
#include "openldev-output-terminal.h"

typedef struct _OutputManager  OutputManager;

struct _OutputManager
{
  OutputSearch *search;
  OutputBuild *build;
  OutputTerminal *terminal;

  GtkWidget *notebook;
  GtkWidget *compiler;
  GtkWidget *findtab;
  GtkWidget *terminaltab;
  GtkWidget *compiler_label;
  GtkWidget *findtab_label;
  GtkWidget *terminaltab_label;
  GtkWidget *compiler_image;
  GtkWidget *findtab_image;
  GtkWidget *terminaltab_image;
};

OutputManager* openldev_output_manager_new ();

OutputBuild*    openldev_output_manager_get_build    (OutputManager*);
OutputSearch*   openldev_output_manager_get_search   (OutputManager*);
OutputTerminal* openldev_output_manager_get_terminal (OutputManager*);

#endif
